Bug 1113139 - Special characters are not allowed in the Task GroupID
Summary: Special characters are not allowed in the Task GroupID
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: Eclipse Tooling
Version: 6.0.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Marek Baluch
QA Contact: Jozef Marko
URL:
Whiteboard:
: 1168741 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-25 13:42 UTC by Anton Giertli
Modified: 2020-03-27 18:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-27 18:35:42 UTC
Type: Bug


Attachments (Terms of Use)

Description Anton Giertli 2014-06-25 13:42:31 UTC
Description of problem:

It is not possible to input other than AlphaNumerical characters in the Task Group ID.

This is a bug because of :

--- you can't input multiple groups using comma separated list (g1,g2)
 --> you can't enter the comma
--- you can't implement dynamic group resolution with using an expression
 --> you can't enter #{processVariable}


How reproducible:
always

Steps to Reproduce:
1. Create BPMN process in JBDS
2. Drag Human Task on the canvas
3. open properties and try to input some special character into the groupid property.

Actual results:
Special character can't be inputted into GroupID property in Human Task

Expected results:
Special character can be inputted into GroupID property in Human Task


Additional info:

Comment 2 Robert (Bob) Brodt 2014-09-04 20:34:48 UTC
Fixed. Changed the field's data type from "ID" to "String".

Comment 3 Marek Baluch 2014-10-06 10:42:58 UTC
This is still reproducible in JBDSIS 8.0.0.Alpha2

Comment 4 Robert (Bob) Brodt 2014-10-06 16:04:36 UTC
Hi Marek, which version of the editor are you using? I just tested this with 1.1.0.201409091530 and did not see the issue...

Comment 5 Marek Baluch 2014-10-07 06:27:31 UTC
Hi Bob, I'm testing this using the latest tooling we have for JBDS 8.0.0. The editor version there is BPMN2 Modeler - Diagram Editor 1.1.0.201408072130. 

I will close RH BZs as soon as the correct editor version will become available on RH update sites. In mean time I plan to tag all issues fixed in community as "verified-in-community". I just did not verify this issue on a community build yet. I will do that today.

Comment 6 Marek Baluch 2014-10-07 08:09:12 UTC
Community version BPMN2 Modeler - Diagram Editor 1.1.1.201409261846 fixes the issue.

Comment 7 Jozef Marko 2014-11-07 06:43:53 UTC
Verified on jbdsis-8.0.0.Beta1.

Comment 8 Robert (Bob) Brodt 2014-12-01 17:37:46 UTC
*** Bug 1168741 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.